Bug 120829 - Policy messages during cups startup
Policy messages during cups startup
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: policy (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Ben Levenson
triage|leonardjo|closed|rawhide
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-14 06:56 EDT by Peter Verthez
Modified: 2007-11-30 17:10 EST (History)
2 users (show)

See Also:
Fixed In Version: 1.11.2-6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-05-10 14:09:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Peter Verthez 2004-04-14 06:56:08 EDT
Description of problem:
                                                                     
                                                                       
During startup of cups at boot, I get the following messages:
                                                                     
                                                                       
Apr 14 11:42:19 voyager2 kernel: audit(1081935739.022:0): avc:  denied
 { write } for  pid=1287 exe=/usr/bin/python name=printconf.rpm
dev=hda7 ino=833349 scontext=system_u:system_r:cupsd_t
tcontext=system_u:object_r:var_t tclass=dir
Apr 14 11:42:19 voyager2 kernel: audit(1081935739.023:0): avc:  denied
 { write } for  pid=1287 exe=/usr/bin/python name=printconf.rpm
dev=hda7 ino=833349 scontext=system_u:system_r:cupsd_t
tcontext=system_u:object_r:var_t tclass=dir
Apr 14 11:42:19 voyager2 kernel: audit(1081935739.023:0): avc:  denied
 { write } for  pid=1287 exe=/usr/bin/python name=printconf.rpm
dev=hda7 ino=833349 scontext=system_u:system_r:cupsd_t
tcontext=system_u:object_r:var_t tclass=dir
Apr 14 11:42:19 voyager2 kernel: audit(1081935739.025:0): avc:  denied
 { write } for  pid=1287 exe=/usr/bin/python name=printconf.local
dev=hda7 ino=833351 scontext=system_u:system_r:cupsd_t
tcontext=system_u:object_r:var_t tclass=dir
Apr 14 11:42:19 voyager2 last message repeated 2 times
Apr 14 11:42:19 voyager2 kernel: audit(1081935739.027:0): avc:  denied
 { write } for  pid=1287 exe=/usr/bin/python name=wm dev=hda7
ino=833353 scontext=system_u:system_r:cupsd_t
tcontext=system_u:object_r:var_t tclass=dir
Apr 14 11:42:19 voyager2 kernel: audit(1081935739.027:0): avc:  denied
 { write } for  pid=1287 exe=/usr/bin/python name=wm dev=hda7
ino=833353 scontext=system_u:system_r:cupsd_t
tcontext=system_u:object_r:var_t tclass=dir
Apr 14 11:42:19 voyager2 kernel: audit(1081935739.028:0): avc:  denied
 { write } for  pid=1287 exe=/usr/bin/python name=wm dev=hda7
ino=833353 scontext=system_u:system_r:cupsd_t
tcontext=system_u:object_r:var_t tclass=dir
Apr 14 11:42:30 voyager2 kernel: audit(1081935750.686:0): avc:  denied
 { ioctl } for  pid=1289 exe=/usr/bin/perl
path=/usr/share/foomatic/db/oldprinterids dev=hda7 ino=490077
scontext=system_u:system_r:cupsd_t tcontext=system_u:object_r:usr_t
tclass=file
Apr 14 11:42:37 voyager2 kernel: audit(1081935757.636:0): avc:  denied
 { ioctl } for  pid=1298 exe=/usr/bin/perl
path=/usr/share/foomatic/db/oldprinterids dev=hda7 ino=490077
scontext=system_u:system_r:cupsd_t tcontext=system_u:object_r:usr_t
tclass=file
                                                                     
                                                                       
This was there with policy-1.9-15 (initial on FC2), and is still
there on policy-1.10.2-2.
                                                                     
                                                                       
There are two printers installed: one on lp0, one on usblp0.
Printing works though (on both of them).
Comment 1 Daniel Walsh 2004-04-15 11:39:16 EDT
Fixed in rawhide policy-1.11.2-6

Note You need to log in before you can comment on or make changes to this bug.